Change SFTP/SSH password expiration interval
curl --request POST \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/ssh/change-expiration-interval \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exp_interval": "days_7"
}
'{
"result": null
}WordPress Site Environments
Change SFTP/SSH password expiration interval
POST
/
sites
/
environments
/
{env_id}
/
ssh
/
change-expiration-interval
Change SFTP/SSH password expiration interval
curl --request POST \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/ssh/change-expiration-interval \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exp_interval": "days_7"
}
'{
"result": null
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
exp_interval
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>
required
Available options:
days_7 Example:
"days_7"
Response
Change SFTP/SSH password expiration interval
⌘I